Index: resources/roadNameConfig.txt
===================================================================
--- resources/roadNameConfig.txt	(revision 4483)
+++ resources/roadNameConfig.txt	(working copy)
@@ -1,16 +1,21 @@
-# Sample configuration file for road name prefixes and suffixes for use 
-# with the --road-name-config option.
+﻿# Sample configuration file for use with the --road-name-config option.
+# -*- coding: UTF-8 -*-
+
+# This gives road name prefixes and suffixes in various languages.
 # A road name like West Main Street is separated into a prefix 'West',
-# the important part 'Main', and the suffix 'Street'.  
+# the important part 'Main', and the suffix 'Street'.
 
 # The first section lists often used prefixes and suffixes for a language.
 # The next section is used to configure which languages are used for road names
-# in each country.  
+# in each country.
 
-# Note that the order of the options doesn't matter, as well as the position 
+# Note that the order of the options doesn't matter, as well as the position
 # in the comma separated lists. Very important is the proper usage of blanks
 # within the quotation marks as well as the spelling.
 
+# Having suffixes makes Find>Address less easy to use on some GPS devices! See posting 21-Feb-2019:
+#  http://www.mkgmap.org.uk/pipermail/mkgmap-dev/2019q1/029506.html
+
 ##########################################################################
 # Section 1
 # prefix1:<lang> list of 1st words
@@ -25,8 +30,14 @@
 prefix2:ca = "de las ", "de los ", "de la ", "del ", "de ", "d'"
 
 # english
-prefix1:en = "East ", "North ", "South ", "West " 
+prefix1:en = "East ", "North ", "South ", "West "
 suffix:en = " Road", " Street"
+#
+# UK road names don't have prefixes, eg "North View" and "South View" are unlikely to be connected.
+# So, via Section 2 (country to language mapping), have different prefix/suffix for the UK:
+#prefix1:en_gb = empty
+# UK road names have many different suffixes and should not be used as they make address searching counter-intuitive
+#suffix:en_gb = " Arcade", " Avenue", " Boulevard", " Circus", " Close", " Court", " Crescent", " Croft", " Drive", " Field", " Fields", " Gardens", " Gate", " Grove", " Hill", " Lane", " Mews", " Parade", " Park", " Passage", " Place", " Rise", " Road", " Square", " Street", " Terrace", " View", " Villas", " Walk", " Way", " Wood", " Yard"
 
 # french
 prefix1:fr = "Allée", "Avenue", "Boulevard", "Chemin", "Place", "Rue", "Route"
@@ -54,7 +65,7 @@
 ##########################################################################
 # Section 2
 # Map three letter ISO country codes to list of used languages for road names.
-# It is assumed that the style sets mkgmap:country to one of these ISO codes.    
+# It is assumed that the style sets mkgmap:country to one of these ISO codes.
 
 lang:AGO = pt
 lang:AND = es, ca
@@ -73,7 +84,7 @@
 lang:ESH = es
 lang:ESP = es, gl, eu, ca
 lang:FRA = fr
-lang:GBR = en
+lang:GBR = en_gb
 lang:GNB = pt
 lang:GTM = es
 lang:GUY = en
@@ -90,3 +101,5 @@
 lang:URI = es
 lang:USA = en
 lang:VEN = es
+
+# End Section 2
